<link rel="import" href="../polymer/polymer-element.html">
<link rel="import" href="../polymer/lib/elements/dom-repeat.html">
<link rel="import" href="../paper-input/paper-input.html">
<link rel="import" href="../paper-checkbox/paper-checkbox.html">
<link rel="import" href="../paper-button/paper-button.html">


<dom-module id="check-list">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h1>Mi todo list</h1>

    <dom-repeat 
        items="{{tasks}}" 
        as="task" 
        filter="isNotCompleted" 
        observe="completed"> 

      <template is="dom-repeat">
        <div>
          <paper-checkbox checked="{{task.completed}}"></paper-checkbox>
          <paper-input label="task name" no-label-float value="{{task.name}}"></paper-input>
        </div>
      </template>
    </dom-repeat>

    <div>
        <h1>Completados</h1>
        <dom-repeat 
        items="{{tasks}}" 
        as="task" 
        filter="isCompleted" 
        observe="completed"> 

      <template is="dom-repeat">
        <div>
          <paper-checkbox checked="{{task.completed}}"></paper-checkbox>
          <paper-input label="task name" no-label-float value="{{task.name}}"></paper-input>
        </div>
      </template>
    </dom-repeat>
        <paper-button on-click="agregarTask">Add Task</paper-button>
    </div>
  </template>
  

  <script>
    /**
     * `check-list`
     * Check-lis
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class CheckList extends Polymer.Element {
      static get is() { return 'check-list'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'check-list'
          },
          tasks: {
            type: Array,
            value: () =>[],
           
          }
        };
      }
      agregarTask(){
        const newTask = {
          name: '',
          completed:false
  
      };
      this.push('tasks',newTask);
    }
    isNotCompleted(task){
      return !task.completed;
    }

    isCompleted(task){
      return task.completed;
    }
    }

    window.customElements.define(CheckList.is, CheckList);
  </script>
</dom-module>
